Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.idea
[Java] Interface IdeaContentRoot

    public interface IdeaContentRoot

Contains content root information.

Method Summary
`Set` | `getExcludeDirectories()` exclude dirs
`File` | `getRootDirectory()` root directory
`DomainObjectSet` | `getSourceDirectories()` source dirs.
`DomainObjectSet` | `getTestDirectories()` test dirs.

Method Detail

### getExcludeDirectories

    public Set getExcludeDirectories()

  exclude dirs

### getRootDirectory

    public File getRootDirectory()

  root directory

### getSourceDirectories

    public DomainObjectSet getSourceDirectories()

  source dirs.

### getTestDirectories

    public DomainObjectSet getTestDirectories()

  test dirs.

Gradle API 1.10